PSCAD 4.2.1

Settings
 {
 Id = "1087249617.1267549603"
 Author = "dharshana.cmuller"
 Desc = ""
 Arch = "windows"
 Options = 0
 Build = 22
 Warn = 0
 Check = 0
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 8
  Step = 5e-005
  Plot = 0.00025
  Chat = 0.0001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 239
  Debug = 0
  StartFile = "C:\\Home\\dharshana\\Projects\\PMmachine\\PMmac_V42\\Rohitha_April_25\\pmmachine_01.emt\\noname.snp"
  OFile = "finaltest.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }


Global_Consts = 
  {
  gain = 0.01
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Portrait,81,[763,521],5)
   {
   0.source_3([1080,180],2,0,-1)
    {
    Name = "Source 1"
    Type = "6"
    Grnd = "1"
    View = "1"
    Spec = "0"
    VCtrl = "0"
    FCtrl = "0"
    Vm = "0.078 [kV]"
    Tc = "0.05"
    f = "60 [Hz]"
    Ph = "-20"
    Vbase = "230.0 [kV]"
    Sbase = "100.0 [MVA]"
    Vpu = "1.0 [pu]"
    PhT = "0.0 [deg]"
    Pinit = "0.0 [pu]"
    Qinit = "0.0 [pu]"
    R = "0.002 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.0001 [H]"
    C = "1000.0 [uF]"
    L' = "0.00002 [H]"
    C' = "1.0 [uF]"
    IA = ""
    IB = ""
    IC = ""
    }
   -Wire-([774,252],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([774,252],0,0,-1)
    {
    Name = "BRK"
    }
   0.tbreakn([846,252],0,0,30)
    {
    NUMS = "2"
    INIT = "0"
    TO1 = "4.85[sec]"
    TO2 = "4.9 [sec]"
    }
   0.breaker3([810,180],0,0,300)
    {
    Ctrl = "0"
    OPCUR = "0"
    ENAB = "0"
    CLVL = "0.0 [kA]"
    View = "1"
    ViewB = "0"
    DisPQ = "0"
    NAME = "BRK"
    NAMEA = "BRKA"
    NAMEB = "BRKB"
    NAMEC = "BRKC"
    ROFF = "1000 [ohm]"
    RON = "0.1 [ohm]"
    PRER = "0.5 [ohm]"
    TDA = "0.0 [sec]"
    TDB = "0.0 [sec]"
    TDC = "0.0 [sec]"
    TDRA = "0.05 [sec]"
    TDRB = "0.05 [sec]"
    TDRC = "0.05 [sec]"
    PostIns = "0"
    TDBOA = "0.005 [sec]"
    IBRA = ""
    IBRB = ""
    IBRC = ""
    IBR0 = ""
    SBRA = ""
    SBRB = ""
    SBRC = ""
    BP = ""
    BQ = ""
    BOpen1 = "0"
    BOpen2 = "0"
    BOpen3 = "0"
    P = "0 [MW]"
    Q = "0 [MVAR]"
    }
   0.pgb([594,234],0,80031200,310)
    {
    Name = "Te"
    Group = ""
    Display = "0"
    Scale = "1"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "-7.0"
    Max = "2.0"
    }
   -Wire-([882,180],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.tpflt([936,270],0,0,290)
    {
    Ctype = "0"
    OpCur = "0"
    Grnd = "1"
    View = "1"
    CLVL = "0.0 [kA]"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    A = "1"
    B = "1"
    C = "1"
    G = "1"
    Ifla = ""
    Iflb = ""
    Iflc = ""
    AG1 = "0"
    }
   0.tfaultn([1008,306],0,0,40)
    {
    TF = "4.4 [sec]"
    DF = "0.45 [sec]"
    }
   -Wire-([972,486],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.sumjct([900,450],0,0,210)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.datalabel([756,450],6,0,-1)
    {
    Name = "Te"
    }
   -Sticky-([810,306],0)
    {
    Name = ""
    Font = 1
    Bounds = 810,306,882,342
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "1/J, J=2 pu"
    }
   -Sticky-([1062,504],0)
    {
    Name = ""
    Font = 1
    Bounds = 1062,504,1170,540
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "B (damping coeff)"
    }
   0.gain([1116,450],0,0,240)
    {
    G = "0.5"
    COM = " 1/J"
    Dim = "1"
    }
   0.datalabel([1098,396],6,0,-1)
    {
    Name = "wm"
    }
   0.sumjct([972,450],0,0,220)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.integral([1044,450],0,0,230)
    {
    Extrn = "0"
    Reset = "0"
    Mthd = "0"
    noname5 = ""
    INTR = "0"
    INTCLR = "0"
    T = "1 [s]"
    Yo = "2"
    YRst = "0.0"
    YHi = "500"
    YLo = "-500"
    }
   0.gain([1116,486],4,0,250)
    {
    G = "0.002"
    COM = "B"
    Dim = "1"
    }
   0.pgb([1152,414],0,80788632,280)
    {
    Name = "wm"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "0.96"
    Max = "1.02"
    }
   -Wire-([900,630],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Sticky-([954,576],0)
    {
    Name = ""
    Font = 1
    Bounds = 954,576,1170,630
    Alignment = 0
    Style = 1
    Arrow = 1
    Color = 0,15792890
    Text = "\
This block models the rotational dynamics of the rotor
"
    }
   -Sticky-([882,648],0)
    {
    Name = ""
    Font = 1
    Bounds = 882,648,990,684
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "Mechanical Load (pu)"
    }
   0.datalabel([594,144],1,0,-1)
    {
    Name = "w"
    }
   0.datalabel([594,252],0,0,-1)
    {
    Name = "Te"
    }
   -Wire-([594,252],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   0.compare([648,576],0,0,70)
    {
    X = "1"
    OL = "0"
    OH = "1"
    INTR = "0"
    }
   0.select([648,468],0,0,170)
    {
    A = "1"
    DPath = "1"
    COM = "Selector"
    }
   0.time-sig([576,576],0,0,60)
    {
    }
   0.const([576,468],0,0,50)
    {
    Name = ""
    Value = "1"
    }
   0.datalabel([684,468],4,0,-1)
    {
    Name = "w"
    }
   0.pgb([900,594],0,80791896,270)
    {
    Name = "Tm"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "-7.0"
    Max = "2.0"
    }
   -Wire-([738,180],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,450],0,0,-1)
    {
    Vertex="0,0;-108,0"
    }
   0.sandhdefn([792,486],0,0,190)
    {
    Iand = "1"
    }
   -Wire-([756,450],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.datalabel([720,522],6,0,-1)
    {
    Name = "SW"
    }
   -Wire-([666,252],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([666,252],0,0,-1)
    {
    Name = "Theta"
    }
   0.pgb([702,252],0,80793528,260)
    {
    Name = "Rotor Position"
    Group = ""
    Display = "0"
    Scale = "1"
    Units = "rad"
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "7.0"
    }
   0.pm_machine([648,180],0,0,180)
    {
    MVA = "3.0 [kVA]"
    VRAT = "78.0 [V]"
    F = "60.0 [Hz]"
    Rs = "0.017 [pu]"
    Xls = "0.064 [pu]"
    Xd = "0.55 [pu]"
    Xq = "1.11 [pu]"
    Rkd = "0.055 [pu]"
    Xkd = "0.62 [pu]"
    Rkq = "0.183 [pu]"
    Xkq = "1.175 [pu]"
    FLDF = "1.0"
    THETA = "Theta"
    }
   -Wire-([1044,180],0,0,-1)
    {
    Vertex="0,0;-126,0"
    }
   0.annotation([900,504],0,0,-1)
    {
    AL1 = ""
    AL2 = ""
    }
   0.annotation([900,522],0,0,-1)
    {
    AL1 = ""
    AL2 = ""
    }
   0.annotation([918,504],0,0,-1)
    {
    AL1 = ""
    AL2 = ""
    }
   0.annotation([918,522],0,0,-1)
    {
    AL1 = ""
    AL2 = ""
    }
   0.annotation([936,540],0,0,-1)
    {
    AL1 = ""
    AL2 = ""
    }
   0.voltmetergnd([1008,180],0,0,20)
    {
    Name = "Es"
    }
   -Wire-([1008,126],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1008,126],0,0,-1)
    {
    Name = "Es"
    }
   0.pgb([1044,126],0,80797200,160)
    {
    Name = "Voltage (Source)"
    Group = ""
    Display = "0"
    Scale = "1e3"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "-80.0"
    Max = "100.0"
    }
   0.inductor([882,180],0,0,-1)
    {
    L = "0.0002"
    }
   0.select([864,630],0,0,200)
    {
    A = "1"
    DPath = "1"
    COM = "Selector"
    }
   0.const([756,630],0,0,80)
    {
    Name = ""
    Value = "-0.8"
    }
   0.time-sig([720,702],0,0,90)
    {
    }
   0.compare([792,702],0,0,100)
    {
    X = "2"
    OL = "1"
    OH = "0"
    INTR = "0"
    }
   -Sticky-([36,54],0)
    {
    Name = ""
    Font = 1
    Bounds = 36,54,504,288
    Alignment = 0
    Style = 0
    Arrow = 0
    Color = 0,15792890
    Text = "\
(1) The machine open circuit voltage is about 63 V (1pu) peak for a mag. field strength of 1.0. This is as expected.

(2) Faults and breaker operations are not activated. Breaker is closed at all times. A ttep change to the mechanical torque is applied (0.338 to -0.8). The power and the electric torque varialtions are as expected. The speed settles down at 1 pu after undergoing transients. 
The magnitude of the speed transient depends on the inertia.
Positive torque is for the motoring mode.

(3) Transient response:
A fault was applied at 4.4 s. Fault duration was 0.3 s The breaker operations are at 4.5 s and 4.9 s. The results are as expected. System resorts to its pre fault values after the fault is cleared."
    }
   -Wire-([954,180],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   0.multimeter([720,180],0,0,10)
    {
    MeasI = "1"
    MeasV = "1"
    MeasP = "1"
    MeasQ = "1"
    RMS = "1"
    MeasPh = "0"
    S = "3.0 [kVA]"
    BaseV = "78.0 [V]"
    TS = "0.02 [s]"
    Freq = "60.0 [Hz]"
    Dis = "0"
    CurI = "I1"
    VolI = "E1"
    P = "P1"
    Q = "Q1"
    Vrms = "V1"
    Ph = ""
    hide1 = "0"
    hide2 = "0"
    Pd = ""
    Qd = ""
    Vd = ""
    }
   0.datalabel([738,54],0,0,-1)
    {
    Name = "I1"
    }
   0.pgb([774,54],0,80800464,110)
    {
    Name = "Current"
    Group = ""
    Display = "0"
    Scale = "1.0e3"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "-250.0"
    Max = "250.0"
    }
   0.datalabel([738,90],0,0,-1)
    {
    Name = "E1"
    }
   0.pgb([774,90],0,80801280,120)
    {
    Name = "Voltage (Machine)"
    Group = ""
    Display = "0"
    Scale = "1.0e3"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "-80.0"
    Max = "100.0"
    }
   0.datalabel([846,54],0,0,-1)
    {
    Name = "P1"
    }
   0.pgb([882,54],0,80802096,130)
    {
    Name = "Active Power"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "-0.5"
    Max = "2.5"
    }
   0.datalabel([846,90],0,0,-1)
    {
    Name = "Q1"
    }
   0.pgb([882,90],0,80802912,140)
    {
    Name = "Reactive Power"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "-0.2"
    Max = "1.4"
    }
   0.datalabel([738,126],0,0,-1)
    {
    Name = "V1"
    }
   0.pgb([774,126],0,80803728,150)
    {
    Name = "RMS Voltage"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "1.2"
    }
   -Sticky-([36,18],0)
    {
    Name = ""
    Font = 2
    Bounds = 36,18,450,54
    Alignment = 0
    Style = 0
    Arrow = 0
    Color = 16744576,15792890
    Text = "PERMANENT MAGNET MACHINE"
    }
   -Wire-([576,432],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([828,486],0,0,-1)
    {
    Vertex="0,0;0,108"
    }
   -Wire-([792,630],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([738,54],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([738,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([846,54],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([846,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([738,126],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Sticky-([576,792],0)
    {
    Name = ""
    Font = 1
    Bounds = 576,792,774,864
    Alignment = 0
    Style = 1
    Arrow = 1
    Color = 0,15792890
    Text = "Speed held constant at 1[pu] until 1[s] of the run is completed. Mechanical dynamics are initialized at this time."
    }
   0.unity([720,576],0,0,-1)
    {
    IType = "2"
    OType = "1"
    }
   0.unity([864,702],0,0,-1)
    {
    IType = "2"
    OType = "1"
    }
   -Wire-([576,432],0,0,-1)
    {
    Vertex="0,0;0,-36;576,-36;576,54"
    }
   -Wire-([792,522],0,0,-1)
    {
    Vertex="0,0;-144,0"
    }
   -Wire-([648,504],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([720,576],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([864,702],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Plot-([36,972],0)
    {
    Title = "$(Group)"
    Draw = 1
    Area = [0,0,468,594]
    Posn = [36,972]
    Icon = [396,540]
    Extents = 0,0,468,594
    XLabel = " "
    AutoPan = "true,75"
    Graph([0,0],[0,0,468,177],"Speed")
     {
     Options = 9
     Units = ""
     Curve(80788632,"wm",0,,,)
     }
    Graph([0,177],[0,0,468,177],"P")
     {
     Options = 9
     Units = ""
     Curve(80802096,"Active Power",0,,,)
     Curve(80802912,"Reactive Power",0,,,)
     }
    Graph([0,354],[0,0,468,177],"Angle")
     {
     Options = 9
     Units = ""
     Curve(80793528,"Rotor Position",0,,,)
     }
    }
   -Plot-([36,288],0)
    {
    Title = "$(Group)"
    Draw = 1
    Area = [0,0,468,666]
    Posn = [36,288]
    Icon = [54,540]
    Extents = 0,0,468,666
    XLabel = " "
    AutoPan = "true,75"
    Graph([0,0],[0,0,468,151],"Voltage")
     {
     Options = 9
     Units = ""
     Curve(80801280,"Voltage (Machine)",0,,-7,)
     Curve(80797200,"Voltage (Source)",0,,-7,)
     }
    Graph([0,151],[0,0,468,151],"Voltage")
     {
     Options = 9
     Units = ""
     Curve(80803728,"RMS Voltage",0,,,)
     }
    Graph([0,302],[0,0,468,151],"Current")
     {
     Options = 9
     Units = ""
     Curve(80800464,"Current",0,,,)
     }
    Graph([0,453],[0,0,468,150],"Torque")
     {
     Options = 9
     Units = ""
     Curve(80031200,"Te",0,,,)
     Curve(80791896,"Tm",0,,,)
     }
    }
   }
  }
 }

